import request from "@/utils/request";

// 实验室专家列表
export const expertList = (params) => {
  return request({
    url: `/app/laboratory/expertList`,
    method: "GET",
    params,
  });
};

// 实验室取消专家绑定
export const deleteBindExpert = (expertId) => {
  return request({
    url: `/app/laboratory/deleteBindExpert/${expertId}`,
    method: "PUT",
  });
};

// 实验室新增专利
export const insertLabPatent = (data) => {
  return request({
    url: `/app/laboratory/patent`,
    method: "POST",
    data,
  });
};

/**
 * 实验室修改专利
 * @param data
 * @return {*}
 */
export const updateLabPatent = (data) => {
  return request({
    url: `/app/laboratory/patent`,
    method: "PUT",
    data,
  });
};

export const deleteLabPatentByIds = (ids) => {
  return request({
    url: `/app/laboratory/deletePatents/${ids}`,
    method: "DELETE",
  });
};

/**
 * 实验室未绑定专家列表
 * @param params
 * @return {*}
 */
export const selectNotBindLaboratory = (params) => {
  return request({
    url: `/app/laboratory/selectNotBindLaboratory`,
    method: "GET",
    params,
  });
};

/**
 * 实验室专家绑定
 * @param expertId
 * @return {*}
 */
export const bindExpert = (expertId) => {
  return request({
    url: `/app/laboratory/bindExpert/${expertId}`,
    method: "GET",
  });
};
